﻿@model Seventy.ViewModel.Core.Users.RegisterViewModel
@{
    Layout = "_LoginLayout";
}

<div class="app-content content">
    <div class="content-wrapper">
        <div class="content-wrapper-before"></div>
        <div class="content-header row">
        </div>
        <div class="content-body">
            <section class="flexbox-container">
                <div class="col-12 d-flex align-items-center justify-content-center">
                    <div class="col-lg-4 col-md-6 col-10 box-shadow-2 p-0">
                        <div class="card border-grey border-lighten-3 px-1 py-1 m-0">
                            <div class="card-header border-0">
                                <div class="text-center mb-1">
                                    <img src="/app-assets/images/logo/logo.png" alt="branding logo">
                                </div>
                                <div class="font-large-1  text-center">
                                    ثبت نام اعضا
                                </div>
                            </div>
                            <div class="card-content">
                                <div class="card-body">
                                    <div class="font-small-3 text-center">
                                        @if (ViewData.ContainsKey("err"))
                                        {
                                            <p class="alert-danger p-1">@ViewData["err"]</p>
                                        }
                                        @if (Context.Request.Query.ContainsKey("success"))
                                        {
                                            <p class="alert-success p-1">@Context.Request.Query["success"]</p>
                                        }
                                    </div>
                                    <form class="form-horizontal" asp-controller="Account" asp-action="RegisterPost" method="post">
                                        <fieldset class="form-group position-relative has-icon-left">
                                            <input type="text" class="form-control round" asp-for="Mobile" placeholder="@Html.DisplayNameFor(q=>q.Mobile)" required>
                                            <div class="form-control-position">
                                                <i class="ft-user"></i>
                                            </div>
                                            <span asp-validation-for="Mobile" class="danger"></span>
                                        </fieldset>
                                        <fieldset class="form-group position-relative has-icon-left">
                                            <input type="text" class="form-control round" asp-for="Email" placeholder="@Html.DisplayNameFor(q=>q.Email)" required>
                                            <div class="form-control-position">
                                                <i class="ft-user"></i>
                                            </div>
                                            <span asp-validation-for="Email" class="danger"></span>
                                        </fieldset>
                                        <fieldset class="form-group position-relative has-icon-left">
                                            <input type="password" class="form-control round" asp-for="Password" placeholder="@Html.DisplayNameFor(q=>q.Password)" required>
                                            <div class="form-control-position">
                                                <i class="ft-lock"></i>
                                            </div>
                                            <span asp-validation-for="Password" class="danger"></span>
                                        </fieldset>
                                        <fieldset class="form-group position-relative has-icon-left">
                                            <input type="password" class="form-control round" asp-for="ConfirmedPassword" placeholder="@Html.DisplayNameFor(q=>q.ConfirmedPassword)" required>
                                            <div class="form-control-position">
                                                <i class="ft-lock"></i>
                                            </div>
                                            <span asp-validation-for="ConfirmedPassword" class="danger"></span>
                                        </fieldset>
                                        <fieldset class="form-group position-relative has-icon-left" id="UserActivationCode-field">
                                            <input type="text" class="form-control round" asp-for="UserActivationCode" placeholder="@Html.DisplayNameFor(q=>q.UserActivationCode)" required>
                                            <button id="btnGenerateActivationCode" type="button" class="btn round btn-block btn-glow btn-bg-gradient-x-purple-blue col-12 mr-1 mb-1 mt-1">ارسال کد فعال سازی</button>

                                            <div id="ResultGenerateActivationCode"></div>
                                            <div class="form-control-position">
                                                <i class="ft-lock"></i>
                                            </div>
                                            <span asp-validation-for="UserActivationCode" class="danger"></span>
                                        </fieldset>
                                        <div class="form-group text-center">
                                            <button id="submit" type="submit" class="btn round btn-block btn-glow btn-bg-gradient-x-purple-blue col-12 mr-1 mb-1">ثبت نام</button>                                            
                                        </div>

                                    </form>
                                </div>
                                <p class="card-subtitle text-muted text-right font-small-3 mx-2">
                                    <span>انتقال به صفحه <a asp-controller="Account" asp-action="Login" class="card-link">ورود</a></span>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </div>
</div>
@section script {
    <script>
        $("#submit").hide();
        $('#btnGenerateActivationCode').on('click', function () {
            var mobile = $('#Mobile').val();
            $.ajax({
                type: "POST",
                url: "/GenerateActivationCode",
                //beforeSend: function (xhr) {
                //    xhr.setRequestHeader("XSRF-TOKEN",
                //        $('input:hidden[name="__RequestVerificationToken"]').val());
                //},
                data: { Mobile: mobile },
                //contentType: "application/json; charset=utf-8",
                //dataType: "json",
                success: function (response) {
                    if (response == false)
                        $('#ResultGenerateActivationCode').html("<span>خطا در ارسال کد فعال سازی</span>");
                    else {
                        $('#ResultGenerateActivationCode').html("<span>کد ارسال شد</span>");
                        $("#btnGenerateActivationCode").hide();
                        $("#submit").show();
                    }
                },
                error: function (response) {
                    console.log(response);
                    $('#ResultGenerateActivationCode').html("<span>خطا در ارسال کد فعال سازی</span>");
                }
            });
        })

    </script>
}

@*@model Seventy.ViewModel.Core.Users.RegisterViewModel
    @{
        Layout = "_LoginLayout";
    }

    <div class="form-container">
        <div class="form-form">
            <div class="form-form-wrap">
                <div class="form-container">
                    <div class="form-content">
                        <h1 class="font-weight-bold">ثبت نام در سامانه</h1>
                        <p class="signup-link">قبلا ثبت نام کرده ام? <a href="/login">ورود</a></p>
                        <form class="text-left" asp-controller="Account" asp-action="RegisterPost" method="post">
                            <div class="form">
                                <div id="username-mobile-field" class="field-wrapper input">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-user"><path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path><circle cx="12" cy="7" r="4"></circle></svg>
                                    <input asp-for="Mobile" type="text" class="form-control" placeholder="موبایل">
                                    <span asp-validation-for="Mobile" class="text-danger"></span>
                                </div>
                                <div id="username-email-field" class="field-wrapper input">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-user"><path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path><circle cx="12" cy="7" r="4"></circle></svg>
                                    <input asp-for="Email" type="text" class="form-control" placeholder="ایمیل">
                                    <span asp-validation-for="Email" class="text-danger"></span>
                                </div>
                                <div id="password-field" class="field-wrapper input mb-2">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-lock"><rect x="3" y="11" width="18" height="11" rx="2" ry="2"></rect><path d="M7 11V7a5 5 0 0 1 10 0v4"></path></svg>
                                    <input asp-for="Password" type="password" value="" placeholder="رمز ورود">
                                </div>
                                <div id="password-field" class="field-wrapper input mb-2">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-lock"><rect x="3" y="11" width="18" height="11" rx="2" ry="2"></rect><path d="M7 11V7a5 5 0 0 1 10 0v4"></path></svg>
                                    <input asp-for="ConfirmedPassword" type="password" value="" placeholder="تکرار رمز ورود ">
                                </div>

                                <div id="UserActivationCode-field" class="field-wrapper input mb-2">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-lock"><rect x="3" y="11" width="18" height="11" rx="2" ry="2"></rect><path d="M7 11V7a5 5 0 0 1 10 0v4"></path></svg>
                                    <input asp-for="UserActivationCode" type="text" value="" placeholder="">
                                    <button id="btnGenerateActivationCode" class="btn">ارسال کد فعال سازی</button>
                                    <div id="ResultGenerateActivationCode"></div>
                                </div>

                                <div class="d-sm-flex justify-content-between">
                                    <div class="field-wrapper">
                                        <button type="submit" class="btn btn-primary" value="">ثبت نام</button>
                                    </div>
                                </div>

                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="form-image">
            <div class="l-image">
            </div>
        </div>
    </div>

*@
